in scala.xml.transform
class BasicTransformer

abstract `class` BasicTransformer
  `extends` java.lang.Object
  `with` (scala.xml.Node) => scala.xml.Node
  `with` scala.ScalaObject

  a class for XML transformations

Constructor Summary
| `def` this

Class Summary
`case` `protected` | `class` NeedsCopy

Def Summary
| `def` apply ( n : scala.xml.Node ) : scala.xml.Node
`protected` | `def` buffer ( pos : scala.Int , ns : scala.Seq[scala.xml.Node] ) : scala.xml.NodeBuffer returns a new node buffer with the first pos elements from ns
`protected` | `def` freeze ( nb : scala.xml.NodeBuffer ) : scala.Seq[scala.xml.Node] turns a nodebuffer into a sequence, so hashcode works
`protected` | `def` single ( ns : scala.Seq[scala.xml.Node] ) : scala.Boolean
| `def` transform ( it : scala.Iterator[scala.xml.Node] , nb : scala.xml.NodeBuffer ) : scala.Seq[scala.xml.Node] call transform(Node) for each node in ns, append results to NodeBuffer
| `def` transform ( n : scala.xml.Node ) : scala.Seq[scala.xml.Node]
| `def` transform ( ns : scala.Seq[scala.xml.Node] ) : scala.Seq[scala.xml.Node] call transform(Node) to each node in ns, yield ns if nothing changes, otherwise a new sequence of concatenated results
`protected` | `def` unchanged ( n : scala.xml.Node , ns : scala.Seq[scala.xml.Node] ) : scala.Boolean

Constructor Detail

`def` this

Def Detail

`def` apply ( n : scala.xml.Node ) : scala.xml.Node

protected `def` buffer ( pos : scala.Int , ns : scala.Seq[scala.xml.Node] ) : scala.xml.NodeBuffer

  returns a new node buffer with the first pos elements from ns

protected `def` freeze ( nb : scala.xml.NodeBuffer ) : scala.Seq[scala.xml.Node]

  turns a nodebuffer into a sequence, so hashcode works

protected `def` single ( ns : scala.Seq[scala.xml.Node] ) : scala.Boolean

`def` transform ( it : scala.Iterator[scala.xml.Node] , nb : scala.xml.NodeBuffer ) : scala.Seq[scala.xml.Node]

  call transform(Node) for each node in ns, append results to NodeBuffer

`def` transform ( n : scala.xml.Node ) : scala.Seq[scala.xml.Node]

`def` transform ( ns : scala.Seq[scala.xml.Node] ) : scala.Seq[scala.xml.Node]

  call transform(Node) to each node in ns, yield ns if nothing changes, otherwise a new sequence of concatenated results

protected `def` unchanged ( n : scala.xml.Node , ns : scala.Seq[scala.xml.Node] ) : scala.Boolean